/// <reference types="node" />
import events from 'events';
import { AdobeEditorService, IAdobeDocumentData } from './AdobeEditorService';
export declare const EVENTS: {
    DOCUMENT_CHANGED: string;
};
export declare class AdobeActiveDocumentService extends events.EventEmitter {
    static EVENTS: {
        DOCUMENT_CHANGED: string;
    };
    private static instance;
    activeDocument?: IAdobeDocumentData;
    editorService: AdobeEditorService;
    static getInstance(): AdobeActiveDocumentService;
    constructor();
    updateActiveDocumentData(): Promise<unknown>;
    private setActiveDocument;
}
